#!/usr/bin/python3
# -*- coding: utf-8 -*-
#
#   pasteFromSystemClipBoar.py
#
#       systemClipBoardのfileを貼り付ける
#
#   15/06/24    新規作成
#   18/01/17    clipboard内のtypeを調べtypeに応じて処理を修正
#               cajaの場合、folderコピー時にtextとして保存されている為、これに対応。
#      01/18    clipboardの内容を判断し、nautilus(gnome)かcaja(mate)を決定し、folderを貼り付け
#               る様に修正。
#      06/11    「gtk.clipboard_get()」→「gtk.Clipboard()」に変更
#   19/08/28    python3様に書き換え
#               PyQt4を使う様に修正（GTK+3では、fileCopPasteができないため）
#

from PyQt4 import QtGui, QtCore

import sys
import os

import logFileCreater
python.logFileCreater.log()

app = QtGui.QApplication([])
sysClipboard = QtGui.QApplication.clipboard()

#
#  pasteFromSystemClipBoard
#    clipboardからcopiedFilesを取得し、結果をfileに書き出す
def pasteFromSystemClipBoard(pasteContFile):
    #clipboardからmimeDataを取得
    mimeData = sysClipboard.mimeData()
    #mimeDataからcopyFilesを取得
    files = []
    for url in mimeData.urls():
        files.append(url.toLocalFile())
    #copyFilesをpasteContFileに書き出し
    pasteFolders(pasteContFile, files)

#
#  pasteFolders
#    folderNameを書き込み
def pasteFolders(pasteContFile, files):
    fileName = pasteContFile
    f=open(fileName, "w")
    for name in files:
        f.write(name + "\n")
    f.close()


if __name__ == "__main__":
    import gettext
    treeFoamPath = os.environ["TreeFoamPath"]
    gettext.install("treefoam", treeFoamPath + "/data/locale")

    pasteContFile = sys.argv[1]
    pasteFromSystemClipBoard(pasteContFile)

